audio 2 DJ Interface + Traktor LE
Results 1 to 5 of 5
  1. #1
    Tech Student
    Join Date
    Sep 2011
    Location
    la, ca
    Posts
    4

    Default audio 2 DJ Interface + Traktor LE

    Whats up Dj Tech Tools users!

    Ran into a problem trying to install Traktor LE software.

    i purchased an Audio 2 Dj interface and it came bundled with Traktor LE software along with Kore Player/Kore Selection. However when trying install Traktor LE this pops up: "This product does not support the processor of your computer (PowerPC)."

    My specs - PowerBook G4, 1.67ghz, Mac OSX 10.5.8, which surpasses the system requirements listed on the CD jacket (Mac OSX 10.5, G4 1.4ghz)

    I've raped and pillaged the native instruments website with no luck. I cant find anything on traktor LE on the NI site. its just lists info for traktor LE 2, pro, studio, duo etc. I'm positive Traktor Pro doesnt work for PPC macs at all since they are 10.6 +, but still im daunted with all the different versions of traktor here. not asking to spoon fed here, just want to know if im completely wasting my time trying to find a version of traktor that works for PPC macs.

    thnx in advance!!!

  2. #2
    Tech Mentor NathanWard's Avatar
    Join Date
    Jul 2011
    Location
    Auckland, New Zealand
    Posts
    291

    Default

    Reason 5 Didn't work on my Dad's Power PC either. I think it's pretty silly of Apple to make a whole line of computers that won't run a lot of programs.

    I'm not sure if you'll be able to find a version of Traktor that works on your laptop sadly
    BCF 2000
    Traktor Pro 2
    Kontrol X1


  3. #3
    Tech Student
    Join Date
    Sep 2011
    Location
    la, ca
    Posts
    4

    Default

    hey nathan thanks for the response.

    ok. huge bummer here. thats so odd they would list system requirements on the CD jacket and box and completely fail to abide by them. this is a first for me. i mean a big reason why i got this interface is because it said on the box compatible with Mac G4, OS 10.5 etc....

    sigh

    well, not giving up that easy. ill search around online more and check back.

  4. #4
    Tech Guru zestoi's Avatar
    Join Date
    Mar 2011
    Location
    UK, Ukraine, Romania
    Posts
    2,860

    Default

    i think you're stuck with having to use the old non-pro traktor3 software on that mac by the looks of it. it's not bad software at all ofc - just a bit old in the tooth these days with tp2 and all...
    11mba / 13mbp / tsp2 / live9 / audio10 / 2x reloop rp7000gold / 2x xdj1000 / 2x d2
    maschine mk2 / x1 mk2 / z1 / f1 / midifighter / lpd8 / 2x launchpad / launchkontrol xl
    Quote Originally Posted by derschaich
    "wohoo, i'm touched, turn on the FX"

  5. #5
    Tech Student
    Join Date
    Sep 2011
    Location
    la, ca
    Posts
    4

    Default

    Quote Originally Posted by zestoi View Post
    i think you're stuck with having to use the old non-pro traktor3 software on that mac by the looks of it. it's not bad software at all ofc - just a bit old in the tooth these days with tp2 and all...
    yeah, i dont care how old the software is. im just pretty bummed that is doesnt work at all. native instruments failed completely on this, but i guess it doesnt really matter to anyone whos intel based soooo why complain....lets see:

    PROS:
    -audio 2 dj works and its pretty much plug and play once i found a working driver

    CONS:
    -they put on the box AND the cd jacket "Mac OSX 10.5, G4 1.4ghz or Intel Cor Duo 1.66 ghz, 1GB RAM however on the CD case below in tiny tiny letters "included software has higher minimum system requirements than Audio 2 DJ", but they dont list those requirements!

    -Which brings us to the Software on the CD - ALL for intel based architecture. I mean dont put in small letters that it requires higher system requirements JUST SAY THAT IT DOESNT WORK WITH PPC MACS!!! how hard can this be?

    -found a PPC version of Kore and installed it only to have the NI Service Center say that my computer is permanently offline (nope, im online right now typing this message) so it wont active the software...

    just turning up dead ends here. anyway thanks for the help guys and im pretty sure this is the last ill deal with native instruments. they really can state things so much clearer for their customers, but just by dealing with this it just feel like their negligent with their service. i now have a $119 brick. sadness....

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •